The Jupiter Developer Platform is live. Previous portal users keep their rate limits for free until 30 June 2026 — set up billing on the new platform before then. See the Migration Guide for details.
curl --request POST \
--url https://api.jup.ag/recurring/v1/createOrder \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"user": "jdocuPgEAjMfihABsPgKEvYtsmMzjUHeq9LX4Hvs7f3",
"inputMint": "So11111111111111111111111111111111111111112",
"outputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"params": {
"time": {
"inAmount": 1000000000,
"numberOfOrders": 10,
"interval": 86400
}
}
}
'{
"requestId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"transaction": "AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAEN..."
}Request for a base64-encoded unsigned recurring order creation transaction to be used in POST /recurring/v1/execute
curl --request POST \
--url https://api.jup.ag/recurring/v1/createOrder \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"user": "jdocuPgEAjMfihABsPgKEvYtsmMzjUHeq9LX4Hvs7f3",
"inputMint": "So11111111111111111111111111111111111111112",
"outputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"params": {
"time": {
"inAmount": 1000000000,
"numberOfOrders": 10,
"interval": 86400
}
}
}
'{
"requestId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"transaction": "AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAEN..."
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
params field, only timeparams.price based orders are deprecatedGet API key via https://developers.jup.ag/portal
Was this page helpful?